<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sd__host__low__level__functions" kind="group">
    <compoundname>group_sd_host_low_level_functions</compoundname>
    <title>Low-Level</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga7e46a2df218aebc23faac7acdf5260da" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_Init</definition>
        <argsstring>(SDHC_Type *base, const cy_stc_sd_host_init_config_t *config, cy_stc_sd_host_context_t *context)</argsstring>
        <name>Cy_SD_Host_Init</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__sd__host__init__config__t">cy_stc_sd_host_init_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the SD host module. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host module configuration.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2833" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="2755" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1661" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gafc7f356fa8eaf81ab1e4abafeb46064c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_DeInit</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_DeInit</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Restores the SD Host block registers back to default. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2861" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="2846" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1664" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gad14bf4c715eaa282580d89bd2be1a420" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_Enable</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_Enable</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SD host block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4038" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4011" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1665" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga9a54017c0d4a99ca6ec8702e9ab4a2da" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_Disable</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_Disable</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the SD host block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4068" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4051" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1666" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga5fc064e2e929cafa26eb11bee7324ad5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_EnableSdClk</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_EnableSdClk</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the SD clock (SD host drives the SDCLK line). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1779" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1770" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1667" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gae619bd70f081a40c7e213712561d3dcc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_DisableSdClk</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_DisableSdClk</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the SD clock (The SD Host doesn't drive the SDCLK line). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1808" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1792" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1668" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga05c151683c3a30462faf988d6ad26ff1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SetSdClkDiv</definition>
        <argsstring>(SDHC_Type *base, uint16_t clkDiv)</argsstring>
        <name>Cy_SD_Host_SetSdClkDiv</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>clkDiv</declname>
        </param>
        <briefdescription>
<para>Changes the speed of the SD bus. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be called along with <ref kindref="member" refid="group__group__sd__host__low__level__functions_1ga5b5699a728dbab6eb0ca7d926e40a61c">Cy_SD_Host_SetHostSpeedMode</ref> to configure the bus correctly.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The divider is clocked from the CLK_HF clock (100 MHz). To determine the SD bus speed divide the clock CLK_HF by the divider value passed in this function. The divider value is 2^clkDiv.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>clkDiv</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock divider for the SD clock.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4112" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4092" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1669" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gac3728dc79e71af7ee2b2521b38fa7a06" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_SD_Host_IsWpSet</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_IsWpSet</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the state of the write protect switch on the SD card. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>bool true - the write protect is set, false - the write protect is not set. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4131" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4128" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1670" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gae9adeccedaf9ba116531ca4192a22cd7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SetHostBusWidth</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_bus_width_t width)</argsstring>
        <name>Cy_SD_Host_SetHostBusWidth</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1gaa37e16176a2e632a2ca02028f447a9eb">cy_en_sd_host_bus_width_t</ref></type>
          <declname>width</declname>
        </param>
        <briefdescription>
<para>Only changes the bus width on the host side. </para>        </briefdescription>
        <detaileddescription>
<para>It doesn't change the bus width on the card side. To change the bus width on the card, call <ref kindref="member" refid="group__group__sd__host__low__level__functions_1ga4ae683654397bc8d3bc9c89d70bb3e98">Cy_SD_Host_SetBusWidth()</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>width</parametername>
</parameternamelist>
<parameterdescription>
<para>The width of the data bus.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4169" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4151" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1671" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga4ae683654397bc8d3bc9c89d70bb3e98" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SetBusWidth</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_bus_width_t width, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_SetBusWidth</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1gaa37e16176a2e632a2ca02028f447a9eb">cy_en_sd_host_bus_width_t</ref></type>
          <declname>width</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Sends out the SD bus width changing command. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>width</parametername>
</parameternamelist>
<parameterdescription>
<para>The width of the data bus.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1881" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="1771" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1673" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga5b5699a728dbab6eb0ca7d926e40a61c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SetHostSpeedMode</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_bus_speed_mode_t speedMode)</argsstring>
        <name>Cy_SD_Host_SetHostSpeedMode</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1ga8c324f7e5938bf4866db55490f4dac01">cy_en_sd_host_bus_speed_mode_t</ref></type>
          <declname>speedMode</declname>
        </param>
        <briefdescription>
<para>Only updates the host register to indicate bus speed mode. </para>        </briefdescription>
        <detaileddescription>
<para>This function doesn't change the speed on the bus, or change anything in the card.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>speedMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Bus Speed mode.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4236" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4189" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1676" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga0b48a86672163e3be31362d7b3de0730" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SetBusSpeedMode</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_bus_speed_mode_t speedMode, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_SetBusSpeedMode</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1ga8c324f7e5938bf4866db55490f4dac01">cy_en_sd_host_bus_speed_mode_t</ref></type>
          <declname>speedMode</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Negotiates with the card to change the bus speed mode of the card and the host. </para>        </briefdescription>
        <detaileddescription>
<para>It doesn't change the SD clock frequency that must be done separately.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>speedMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Bus speed mode.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4408" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4264" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1678" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga215d6f84f99c8177d8c5a6ae178ca67a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SelBusVoltage</definition>
        <argsstring>(SDHC_Type *base, bool enable18VSignal, cy_stc_sd_host_context_t *context)</argsstring>
        <name>Cy_SD_Host_SelBusVoltage</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable18VSignal</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Negotiates with the SD card to change the bus signaling level to 1.8V. </para>        </briefdescription>
        <detaileddescription>
<para>After this function is called, the card is in the ready state.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The host needs to change the regulator supplying voltage to the VDDIO of the SD block in order to operate at 1.8V. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function changes RCA to 0 in the context. RCA in the context should be updated (context.RCA = &lt;a href="group__group__sd__host__low__level__functions.html#group__group__sd__host__low__level__functions_1gaadc003ea82247c8c5057b1168a99ae2c"&gt;Cy_SD_Host_GetRca()&lt;/a&gt;;) when the card is in the Identification state. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for SD cards only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>enable18VSignal</parametername>
</parameternamelist>
<parameterdescription>
<para>If true, use the 1.8V signaling, false - use the 3.3V signaling.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The SD card power supply should be disabled and initialized again when this function returns CY_SD_HOST_ERROR_UNUSABLE_CARD.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The dedicated io_volt_sel pin is used to change the regulator supplying voltage to the VDDIO of the SD block in order to operate at 1.8V. To configure the custom IO pin in order to control (using the GPIO driver) the regulator supplying voltage, the user must implement weak &lt;a href="group__group__sd__host__low__level__functions.html#group__group__sd__host__low__level__functions_1ga307ae5aea7a503f9cac590dd895a8d36"&gt;Cy_SD_Host_ChangeIoVoltage()&lt;/a&gt;. Also, this function must set the SIGNALING_EN bit of the SDHC_CORE_HOST_CTRL2_R register when ioVoltage = CY_SD_HOST_IO_VOLT_1_8V. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4485" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4451" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1681" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga89cf0f720dca3e57244dbb736efd0736" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_EnableCardVoltage</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_EnableCardVoltage</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Sets the card_if_pwr_en pin high. </para>        </briefdescription>
        <detaileddescription>
<para>This pin can be used to enable a voltage regulator used to power the card.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4502" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1684" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga0991c633c61e309f5c2167296e014ee6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_DisableCardVoltage</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_DisableCardVoltage</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Sets the card_if_pwr_en pin low. </para>        </briefdescription>
        <detaileddescription>
<para>This pin can be used to disable a voltage regulator used to power the card.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4520" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4516" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1685" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gad575d00f4e29d87dd3221ff84b0d855c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetResponse</definition>
        <argsstring>(SDHC_Type const *base, uint32_t *responsePtr, bool largeResponse)</argsstring>
        <name>Cy_SD_Host_GetResponse</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>responsePtr</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>largeResponse</declname>
        </param>
        <briefdescription>
<para>This function reads the response register from the last completed command. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*responsePtr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to response data.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>largeResponse</parametername>
</parameternamelist>
<parameterdescription>
<para>If true, the response is 136 bits, false - 32 bits.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4568" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4541" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1686" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga98fe407a6f55d8d7ae0dd1c5defa41df" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_SendCommand</definition>
        <argsstring>(SDHC_Type *base, cy_stc_sd_host_cmd_config_t const *config)</argsstring>
        <name>Cy_SD_Host_SendCommand</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__cmd__config__t">cy_stc_sd_host_cmd_config_t</ref> const *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Starts sending a command on the SD bus. </para>        </briefdescription>
        <detaileddescription>
<para>If the command uses the data lines <ref kindref="member" refid="group__group__sd__host__low__level__functions_1ga0bc6396147a2b2aa4915a2d1ef3677c1">Cy_SD_Host_InitDataTransfer()</ref> must be call first. This function returns before the command completes. To determine if the command is done, read the Normal Interrupt Status register and check the CMD_COMPLETE flag. To determine if the entire transfer is done check the XFER_COMPLETE flag. Also the interrupt is used and flags are set on these events in an ISR. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;It is the user's responsibility to clear the CY_SD_HOST_CMD_COMPLETE flag after calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*config</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration structure for the command.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1745" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="1700" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1689" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga0bc6396147a2b2aa4915a2d1ef3677c1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_InitDataTransfer</definition>
        <argsstring>(SDHC_Type *base, cy_stc_sd_host_data_config_t const *dataConfig)</argsstring>
        <name>Cy_SD_Host_InitDataTransfer</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__data__config__t">cy_stc_sd_host_data_config_t</ref> const *</type>
          <declname>dataConfig</declname>
        </param>
        <briefdescription>
<para>Initializes the SD block for a data transfer. </para>        </briefdescription>
        <detaileddescription>
<para>It does not start a transfer. To start a transfer call <ref kindref="member" refid="group__group__sd__host__low__level__functions_1ga98fe407a6f55d8d7ae0dd1c5defa41df">Cy_SD_Host_SendCommand()</ref> after calling this function. If DMA is not used for data transfer, the buffer needs to be filled with data first if this is a write.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dataConfig</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the data transfer configuration structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4714" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4589" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1691" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga8b1c2ac3b8b82b03500c4bf560322da8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SD_Host_BufferRead</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_BufferRead</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reads 32-bits of data from the read buffer. </para>        </briefdescription>
        <detaileddescription>
<para>Only use this function if not using SD block DMA to transfer data from buffer.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t Data that is being read. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1829" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1825" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1693" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gaa036946603cdda48270920a197a5009e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sd_host_status_t Cy_SD_Host_BufferWrite</definition>
        <argsstring>(SDHC_Type *base, uint32_t data)</argsstring>
        <name>Cy_SD_Host_BufferWrite</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>data</declname>
        </param>
        <briefdescription>
<para>Writes 32-bits of data into the write buffer. </para>        </briefdescription>
        <detaileddescription>
<para>Only use this function if not using SD block DMA to transfer data to buffer.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>Data to be written.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1861" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1848" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1694" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga307ae5aea7a503f9cac590dd895a8d36" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_ChangeIoVoltage</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_io_voltage_t ioVoltage)</argsstring>
        <name>Cy_SD_Host_ChangeIoVoltage</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1ga4f01f971b4eb071a32474c7603b2e721">cy_en_sd_host_io_voltage_t</ref></type>
          <declname>ioVoltage</declname>
        </param>
        <briefdescription>
<para>Changes the logic level on the sd_io_volt_sel line. </para>        </briefdescription>
        <detaileddescription>
<para>It assumes that this line is used to control a regulator connected to the VDDIO of the PSoC. This regulator allows for switching between the 3.3V and 1.8V signaling.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The dedicated io_volt_sel pin is used to change the regulator supplying voltage to the VDDIO of the SD block in order to operate at 1.8V. To configure the custom IO pin in order to control (using the GPIO driver) the regulator supplying voltage, the user must implement weak &lt;a href="group__group__sd__host__low__level__functions.html#group__group__sd__host__low__level__functions_1ga307ae5aea7a503f9cac590dd895a8d36"&gt;Cy_SD_Host_ChangeIoVoltage()&lt;/a&gt;. Also, this function must set the SIGNALING_EN bit of the SDHC_CORE_HOST_CTRL2_R register when ioVoltage = CY_SD_HOST_IO_VOLT_1_8V.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>ioVoltage</parametername>
</parameternamelist>
<parameterdescription>
<para>The voltage for IO. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4745" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4739" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1695" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gab9d234202bf66b389167ea2dcfe8b710" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_StopAtBlockGap</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_StopAtBlockGap</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Commands SD host to stop transmitting at the next block gap. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1879" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1874" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1696" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga098dd753105bd0d60e7ef828c1fdf5ba" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_ContinueFromBlockGap</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_ContinueFromBlockGap</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Commands SD host to continue transmitting after stopping at the block gap. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1897" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1892" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1697" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga72681d651cdcb34d955e78eba3345562" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SD_Host_GetAutoCmdErrStatus</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_GetAutoCmdErrStatus</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Gets the SD host error status of the auto command. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t The bit mask of the Auto Command status. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1920" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1913" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1698" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga892dfd6c9511faea425c0aa5164a4fdc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sd_host_status_t Cy_SD_Host_EnableAutoCmd23</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_EnableAutoCmd23</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>If the card supports AutoCmd23 call this function to enable it in the host. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1950" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1935" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1699" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gab3adb857290fe0a241a3bb99a8fda23d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_DisableAutoCmd23</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_DisableAutoCmd23</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Removes support for AutoCmd23 if it was previously set. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1968" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1963" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1700" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga27fbcd722e12d049bacb59ad580690b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sd_host_status_t Cy_SD_Host_EnableAsyncInterrupt</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_EnableAsyncInterrupt</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Asynchronous Interrupt for SDIO cards. </para>        </briefdescription>
        <detaileddescription>
<para>Set this only if the card supports this feature.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1997" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="1984" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1701" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga80e93b42a4ab13cb6ada7549bde40f46" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_DisableAsyncInterrupt</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_DisableAsyncInterrupt</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Removes the support for the Asynchronous Interrupt if it was previously set. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2016" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="2011" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1702" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga54d0a014d47b3f894bb586ad2eab450b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SD_Host_GetAdmaErrorStatus</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_GetAdmaErrorStatus</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the ADMA Error Status register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t The bit mask of ADMA Error Status. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2039" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="2032" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1703" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga04635958742edb88535fc805f96f5be6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SD_Host_EMMC_Reset</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_EMMC_Reset</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Resets the eMMC card. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2069" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" bodystart="2052" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1704" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gab0b3e43c54a84f9261815171dc97f6dd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_AbortTransfer</definition>
        <argsstring>(SDHC_Type *base, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_AbortTransfer</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Calling this function causes abortion of the currently executing command with data. </para>        </briefdescription>
        <detaileddescription>
<para>It doesn't issue a reset, that is the users responsibility.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2991" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="2885" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1705" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga49d3fcbc81b0856c61706015856337e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_WriteProtect</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_write_protect_t writeProtect, cy_stc_sd_host_context_t *context)</argsstring>
        <name>Cy_SD_Host_WriteProtect</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1ga7b5d22232dfd02d7e11ecf4100232a38">cy_en_sd_host_write_protect_t</ref></type>
          <declname>writeProtect</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Write protects the blocks of data from the SD card. </para>        </briefdescription>
        <detaileddescription>
<para>This function should only be called after Cy_SD_Host_SDCard_Init()/eMMC_Init().</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>writeProtect</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__sd__host__enums_1ga7b5d22232dfd02d7e11ecf4100232a38">cy_en_sd_host_write_protect_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3055" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3018" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1707" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gacfa588e2d3797fab335cc8880d59d0ee" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SD_Host_GetCardStatus</definition>
        <argsstring>(SDHC_Type *base, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_GetCardStatus</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the card status. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t The card status (the result of the CMD13 command). </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3119" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3079" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1710" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga64d07e5873b517f19aa6b556b9558e19" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetSdStatus</definition>
        <argsstring>(SDHC_Type *base, uint32_t *sdStatus, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_GetSdStatus</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>sdStatus</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the SD status from the card. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*sdStatus</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to where to store the SD status array.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3196" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3145" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1711" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gab7781c74903700d79ca818fc7f50af0b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SD_Host_GetOcr</definition>
        <argsstring>(SDHC_Type *base, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_GetOcr</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Reads the Operating Condition Register (OCR) register from the card. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be used only if the card is in the Idle state.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t The OCR register.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;For combo cards, the function returns the OCR register for the IO portion only. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3247" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3224" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1714" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga696ef05ed804ae1fb21147bdded903a9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetCid</definition>
        <argsstring>(SDHC_Type *base, uint32_t *cid)</argsstring>
        <name>Cy_SD_Host_GetCid</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>cid</declname>
        </param>
        <briefdescription>
<para>Returns the Card Identification Register (CID) contents. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be used only if the card is in the Ready state.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>cid</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to where to store the CID register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3308" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3267" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1715" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga19426622f0a7b92579030e0c954f4bc9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetCsd</definition>
        <argsstring>(SDHC_Type *base, uint32_t *csd, cy_stc_sd_host_context_t *context)</argsstring>
        <name>Cy_SD_Host_GetCsd</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>csd</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the Card Specific Data (CSD) register contents. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be used only if the card is in the Stand-by state.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*csd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to where to store the CSD register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3420" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3336" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1716" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga695e1d4ea5e8fb972bc1feeadbb4e881" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetExtCsd</definition>
        <argsstring>(SDHC_Type *base, uint32_t *extCsd, cy_stc_sd_host_context_t *context)</argsstring>
        <name>Cy_SD_Host_GetExtCsd</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>extCsd</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the EXTCSD Register contents. </para>        </briefdescription>
        <detaileddescription>
<para>This is only for EMMC cards. There are 512 bytes of data being read.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*extCsd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to where to store the EXTCSD register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3507" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3447" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1719" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gaadc003ea82247c8c5057b1168a99ae2c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SD_Host_GetRca</definition>
        <argsstring>(SDHC_Type *base)</argsstring>
        <name>Cy_SD_Host_GetRca</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reads the Relative Card Address (RCA) register from the card. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be used only if the card is in the Identification or Stand-by state.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>uint32_t The RCA register. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3550" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3526" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1722" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga4dd9d7e623f1c27c04490c48e9698e54" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref></type>
        <definition>cy_en_sd_host_status_t Cy_SD_Host_GetScr</definition>
        <argsstring>(SDHC_Type *base, uint32_t *scr, cy_stc_sd_host_context_t const *context)</argsstring>
        <name>Cy_SD_Host_GetScr</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>scr</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> const *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Returns the SD Card Configuration Register (SCR) Register contents. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function can be used only if the card is in the Transition state.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*scr</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to where to store the SCR register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the context structure <ref kindref="compound" refid="structcy__stc__sd__host__context__t">cy_stc_sd_host_context_t</ref> allocated by the user. The structure is used during the SD host operation for internal configuration and data retention. The user must not modify anything in this structure. If only the SD host functions which do not require context will be used, pass NULL as the pointer to the context.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sd__host__enums_1gabbf5bb6a131cd8b9c529b7e36b35fe23">cy_en_sd_host_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3629" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="3578" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1723" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gaf3571becec1bbf64c3ba0fae36fe65fc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SD_Host_GetPresentState</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_GetPresentState</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Returns the values of the present state register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The value of the present state register. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4864" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4857" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1726" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1gafc789757b3705982647dae009225d149" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_SD_Host_IsCardConnected</definition>
        <argsstring>(SDHC_Type const *base)</argsstring>
        <name>Cy_SD_Host_IsCardConnected</name>
        <param>
          <type>SDHC_Type const *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Checks to see if a card is currently connected. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;You can use any GPIO custom pin for Card Detect. Add the SD Host driver &lt;a href="group__group__sd__host__low__level__functions.html#group__group__sd__host__low__level__functions_1gafc789757b3705982647dae009225d149"&gt;Cy_SD_Host_IsCardConnected()&lt;/a&gt; function with the __WEAK type to your code. This function could read the value from any GPIO pin and return true when the card is connected.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>bool true - the card is connected, false - the card is removed (not connected). </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4774" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4766" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1727" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga602f69704f064f99daf947c1af04318b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SD_Host_SoftwareReset</definition>
        <argsstring>(SDHC_Type *base, cy_en_sd_host_reset_t reset)</argsstring>
        <name>Cy_SD_Host_SoftwareReset</name>
        <param>
          <type>SDHC_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sd__host__enums_1ga5b1cb8ecb92f2d3036a186cbe8a8bcdc">cy_en_sd_host_reset_t</ref></type>
          <declname>reset</declname>
        </param>
        <briefdescription>
<para>Issues the software reset command to the SD card. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>*base</parametername>
</parameternamelist>
<parameterdescription>
<para>The SD host registers structure pointer.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>reset</parametername>
</parameternamelist>
<parameterdescription>
<para>The reset type. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4842" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4790" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1728" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sd__host__low__level__functions_1ga06ae777b53c8bcc0eeab12a7302af3be" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref></type>
        <definition>cy_en_syspm_status_t Cy_SD_Host_DeepSleepCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_SD_Host_DeepSleepCallback</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref> *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>This function handles the transition of the SD Host into and out of Deep Sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para>It disables SD CLK before going to Deep Sleep mode and enables SD CLK after wake up from Deep Sleep mode. If the DAT line is active, or a read (write) transfer is being executed on the bus, the device cannot enter Deep Sleep mode.</para><para>This function must be called during execution of <ref kindref="member" refid="group__group__syspm__functions__power_1ga5150c28fe4d2626720c1fbf74b3111ca">Cy_SysPm_CpuEnterDeepSleep</ref>. To do it, register this function as a callback before calling <ref kindref="member" refid="group__group__syspm__functions__power_1ga5150c28fe4d2626720c1fbf74b3111ca">Cy_SysPm_CpuEnterDeepSleep</ref> : specify <ref kindref="member" refid="group__group__syspm__data__enumerates_1gga8c2960c0164ead1cfa86e7d6846b6ff0abc51d74deff0ceea4304b01b2d57bd9d">CY_SYSPM_DEEPSLEEP</ref> as the callback type and call <ref kindref="member" refid="group__group__syspm__functions__callback_1ga0d58b00c8dc764a6371590f70e2f73c7">Cy_SysPm_RegisterCallback</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;When waking up from Deep Sleep, the SD Host driver requires up to 1 us for clock stabilization. By default the SD Host driver will wait this length of time on power up. The waiting loop is implemented in this function. If the application is time sensitive this delay can be overridden by the application by defining &lt;a href="group__group__sd__host__macros__general__purpose.html#group__group__sd__host__macros__general__purpose_1gae6b0b7d64c1290282c330f76b0ccb65d"&gt;CY_SD_HOST_CLK_RAMP_UP_TIME_US_WAKEUP&lt;/a&gt;. This allows the application to perform other operations while the clock is stabilizing in the background. However, the application must still make sure that the SD Host clock has had time to stabilize before attempting to use the SD card. The recommended way to override the value is to specify this as a custom define on the compiler command line. This can be done by appending the entry to the DEFINES variable in the application Makefile. Eg: DEFINES+=CY_SD_HOST_CLK_RAMP_UP_TIME_US_WAKEUP=40.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the callback parameters structure <ref kindref="compound" refid="structcy__stc__syspm__callback__params__t">cy_stc_syspm_callback_params_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Callback mode, see <ref kindref="member" refid="group__group__syspm__data__enumerates_1gae06cd8869fe61d709ad6145ca9f3cd63">cy_en_syspm_callback_mode_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga601b1cb722cb091133caf33d8ab235ca">cy_en_syspm_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="4958" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sd_host.c" bodystart="4906" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sd_host.h" line="1729" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>